<!DOCTYPE HTML PUBLIC "-//W3C//DTD HTML 4.01 Transitional//EN" "http://www.w3.org/TR/html4/loose.dtd">
<!-- NewPage --><html lang="en">
<head><meta http-equiv="Content-Type" content="text/html; charset=UTF-8">
<!-- Generated by javadoc (1.8.0_121) on Thu Sep 26 20:37:34 UTC 2019 -->
<title>TollCostOptions (HERE Android Premium SDK)</title>
<meta name="date" content="2019-09-26">
<link rel="stylesheet" type="text/css" href="../../../../../stylesheet.css" title="Style">
<script type="text/javascript" src="../../../../../script.js"></script>
<meta name="copyright" content="© 2019 HERE Europe B.V."><meta name="html_title" content="HERE Android Premium SDK NLP Premium Edition v3.13 API Reference"><meta name="DC.Document.Id" content="28f10409-3c3a-4aab-a398-4c46acfeab3a"><meta name="DC.Document.Name" content="HERE Android Premium SDK Java API Reference"><meta name="DC.Product.Name" content="HERE Android Premium SDK"><meta name="DC.Product.Version" content="3.13"><meta name="DC.Creation.Date" content="2019-10-25T09:06:39+00:00"></head>
<body>
<script type="text/javascript"><!--
    try {
        if (location.href.indexOf('is-external=true') == -1) {
            parent.document.title="TollCostOptions (HERE Android Premium SDK)";
        }
    }
    catch(err) {
    }
//-->
var methods = {"i0":10,"i1":10,"i2":10,"i3":10,"i4":10,"i5":10,"i6":10,"i7":10};
var tabs = {65535:["t0","All Methods"],2:["t2","Instance Methods"],8:["t4","Concrete Methods"]};
var altColor = "altColor";
var rowColor = "rowColor";
var tableTab = "tableTab";
var activeTableTab = "activeTableTab";
</script>
<noscript>
<div>JavaScript is disabled on your browser.</div>
</noscript>
<!-- ========= START OF TOP NAVBAR ======= -->
<div class="topNav"><a name="navbar.top">
<!--   -->
</a>
<div class="skipNav"><a href="#skip.navbar.top" title="Skip navigation links">Skip navigation links</a></div>
<a name="navbar.top.firstrow">
<!--   -->
</a>
<ul class="navList" title="Navigation">
<li><a href="../../../../../overview-summary.html">Overview</a></li>
<li><a href="package-summary.html">Package</a></li>
<li class="navBarCell1Rev">Class</li>
<li><a href="class-use/TollCostOptions.html">Use</a></li>
<li><a href="package-tree.html">Tree</a></li>
<li><a href="../../../../../deprecated-list.html">Deprecated</a></li>
<li><a href="../../../../../index-files/index-1.html">Index</a></li>
<li><a href="../../../../../help-doc.html">Help</a></li>
</ul>
</div>
<div class="subNav">
<ul class="navList">
<li><a href="../../../../../com/here/android/mpa/tce/TollCostError.ErrorCode.html" title="enum in com.here.android.mpa.tce"><span class="typeNameLink">Prev Class</span></a></li>
<li><a href="../../../../../com/here/android/mpa/tce/TollCostRequest.html" title="class in com.here.android.mpa.tce"><span class="typeNameLink">Next Class</span></a></li>
</ul>
<ul class="navList">
<li><a href="../../../../../index.html?com/here/android/mpa/tce/TollCostOptions.html" target="_top">Frames</a></li>
<li><a href="TollCostOptions.html" target="_top">No Frames</a></li>
</ul>
<ul class="navList" id="allclasses_navbar_top">
<li><a href="../../../../../allclasses-noframe.html">All Classes</a></li>
</ul>
<div>
<script type="text/javascript"><!--
  allClassesLink = document.getElementById("allclasses_navbar_top");
  if(window==top) {
    allClassesLink.style.display = "block";
  }
  else {
    allClassesLink.style.display = "none";
  }
  //-->
</script>
</div>
<div>
<ul class="subNavList">
<li>Summary: </li>
<li>Nested | </li>
<li>Field | </li>
<li><a href="#constructor.summary">Constr</a> | </li>
<li><a href="#method.summary">Method</a></li>
</ul>
<ul class="subNavList">
<li>Detail: </li>
<li>Field | </li>
<li><a href="#constructor.detail">Constr</a> | </li>
<li><a href="#method.detail">Method</a></li>
</ul>
</div>
<a name="skip.navbar.top">
<!--   -->
</a></div>
<!-- ========= END OF TOP NAVBAR ========= -->
<!-- ======== START OF CLASS DATA ======== -->
<div class="header">
<div class="subTitle">com.here.android.mpa.tce</div>
<h2 title="Class TollCostOptions" class="title">Class TollCostOptions</h2>
</div>
<div class="contentContainer">
<ul class="inheritance">
<li>java.lang.Object</li>
<li>
<ul class="inheritance">
<li>com.here.android.mpa.tce.TollCostOptions</li>
</ul>
</li>
</ul>
<div class="description">
<ul class="blockList">
<li class="blockList">
<hr>
<br>
<pre>public final class <span class="typeNameLabel">TollCostOptions</span>
extends java.lang.Object</pre>
<div class="block">Represent different input parameters for <a href="../../../../../com/here/android/mpa/tce/TollCostRequest.html" title="class in com.here.android.mpa.tce"><code>TollCostRequest</code></a>.</div>
</li>
</ul>
</div>
<div class="summary">
<ul class="blockList">
<li class="blockList">
<!-- ======== CONSTRUCTOR SUMMARY ======== -->
<ul class="blockList">
<li class="blockList"><a name="constructor.summary">
<!--   -->
</a>
<h3>Constructor Summary</h3>
<table class="memberSummary" border="0" cellpadding="3" cellspacing="0" summary="Constructor Summary table, listing constructors, and an explanation">
<caption><span>Constructors</span><span class="tabEnd"> </span></caption>
<tr>
<th class="colOne" scope="col">Constructor and Description</th>
</tr>
<tr class="altColor">
<td class="colOne"><code><span class="memberNameLink"><a href="../../../../../com/here/android/mpa/tce/TollCostOptions.html#TollCostOptions--">TollCostOptions</a></span>()</code>
<div class="block">Create <code>TollCostOptions</code>.</div>
</td>
</tr>
</table>
</li>
</ul>
<!-- ========== METHOD SUMMARY =========== -->
<ul class="blockList">
<li class="blockList"><a name="method.summary">
<!--   -->
</a>
<h3>Method Summary</h3>
<table class="memberSummary" border="0" cellpadding="3" cellspacing="0" summary="Method Summary table, listing methods, and an explanation">
<caption><span id="t0" class="activeTableTab"><span>All Methods</span><span class="tabEnd"> </span></span><span id="t2" class="tableTab"><span><a href="javascript:show(2);">Instance Methods</a></span><span class="tabEnd"> </span></span><span id="t4" class="tableTab"><span><a href="javascript:show(8);">Concrete Methods</a></span><span class="tabEnd"> </span></span></caption>
<tr>
<th class="colFirst" scope="col">Modifier and Type</th>
<th class="colLast" scope="col">Method and Description</th>
</tr>
<tr id="i0" class="altColor">
<td class="colFirst"><code>boolean</code></td>
<td class="colLast"><code><span class="memberNameLink"><a href="../../../../../com/here/android/mpa/tce/TollCostOptions.html#equals-java.lang.Object-">equals</a></span>(java.lang.Object obj)</code> </td>
</tr>
<tr id="i1" class="rowColor">
<td class="colFirst"><code>java.lang.String</code></td>
<td class="colLast"><code><span class="memberNameLink"><a href="../../../../../com/here/android/mpa/tce/TollCostOptions.html#getCurrency--">getCurrency</a></span>()</code>
<div class="block">Gets currency parameter in currency's ISO-4217 code.</div>
</td>
</tr>
<tr id="i2" class="altColor">
<td class="colFirst"><code>java.util.Date</code></td>
<td class="colLast"><code><span class="memberNameLink"><a href="../../../../../com/here/android/mpa/tce/TollCostOptions.html#getDeparture--">getDeparture</a></span>()</code>
<div class="block">Gets the departure time for the given <a href="../../../../../com/here/android/mpa/routing/Route.html" title="class in com.here.android.mpa.routing"><code>Route</code></a>.</div>
</td>
</tr>
<tr id="i3" class="rowColor">
<td class="colFirst"><code><a href="../../../../../com/here/android/mpa/tce/TollCostVehicleProfile.html" title="class in com.here.android.mpa.tce">TollCostVehicleProfile</a></code></td>
<td class="colLast"><code><span class="memberNameLink"><a href="../../../../../com/here/android/mpa/tce/TollCostOptions.html#getVehicleProfile--">getVehicleProfile</a></span>()</code>
<div class="block">Gets the copy of <a href="../../../../../com/here/android/mpa/tce/TollCostVehicleProfile.html" title="class in com.here.android.mpa.tce"><code>TollCostVehicleProfile</code></a>.</div>
</td>
</tr>
<tr id="i4" class="altColor">
<td class="colFirst"><code>int</code></td>
<td class="colLast"><code><span class="memberNameLink"><a href="../../../../../com/here/android/mpa/tce/TollCostOptions.html#hashCode--">hashCode</a></span>()</code> </td>
</tr>
<tr id="i5" class="rowColor">
<td class="colFirst"><code>void</code></td>
<td class="colLast"><code><span class="memberNameLink"><a href="../../../../../com/here/android/mpa/tce/TollCostOptions.html#setCurrency-java.lang.String-">setCurrency</a></span>(java.lang.String currencyCode)</code>
<div class="block">Sets the currency parameter in currency's ISO-4217 code.</div>
</td>
</tr>
<tr id="i6" class="altColor">
<td class="colFirst"><code>void</code></td>
<td class="colLast"><code><span class="memberNameLink"><a href="../../../../../com/here/android/mpa/tce/TollCostOptions.html#setDeparture-java.util.Date-">setDeparture</a></span>(java.util.Date date)</code>
<div class="block">Sets the departure time for the <a href="../../../../../com/here/android/mpa/routing/Route.html" title="class in com.here.android.mpa.routing"><code>Route</code></a>.</div>
</td>
</tr>
<tr id="i7" class="rowColor">
<td class="colFirst"><code>void</code></td>
<td class="colLast"><code><span class="memberNameLink"><a href="../../../../../com/here/android/mpa/tce/TollCostOptions.html#setVehicleProfile-com.here.android.mpa.tce.TollCostVehicleProfile-">setVehicleProfile</a></span>(<a href="../../../../../com/here/android/mpa/tce/TollCostVehicleProfile.html" title="class in com.here.android.mpa.tce">TollCostVehicleProfile</a> vehicleProfile)</code>
<div class="block">Sets the <a href="../../../../../com/here/android/mpa/tce/TollCostVehicleProfile.html" title="class in com.here.android.mpa.tce"><code>TollCostVehicleProfile</code></a> parameters.</div>
</td>
</tr>
</table>
<ul class="blockList">
<li class="blockList"><a name="methods.inherited.from.class.java.lang.Object">
<!--   -->
</a>
<h3>Methods inherited from class java.lang.Object</h3>
<code>clone, finalize, getClass, notify, notifyAll, toString, wait, wait, wait</code></li>
</ul>
</li>
</ul>
</li>
</ul>
</div>
<div class="details">
<ul class="blockList">
<li class="blockList">
<!-- ========= CONSTRUCTOR DETAIL ======== -->
<ul class="blockList">
<li class="blockList"><a name="constructor.detail">
<!--   -->
</a>
<h3>Constructor Detail</h3>
<a name="TollCostOptions--">
<!--   -->
</a>
<ul class="blockListLast">
<li class="blockList">
<h4>TollCostOptions</h4>
<pre>public TollCostOptions()</pre>
<div class="block">Create <code>TollCostOptions</code>.</div>
</li>
</ul>
</li>
</ul>
<!-- ============ METHOD DETAIL ========== -->
<ul class="blockList">
<li class="blockList"><a name="method.detail">
<!--   -->
</a>
<h3>Method Detail</h3>
<a name="setDeparture-java.util.Date-">
<!--   -->
</a>
<ul class="blockList">
<li class="blockList">
<h4>setDeparture</h4>
<pre>public void setDeparture(java.util.Date date)</pre>
<div class="block">Sets the departure time for the <a href="../../../../../com/here/android/mpa/routing/Route.html" title="class in com.here.android.mpa.routing"><code>Route</code></a>.</div>
<dl>
<dt><span class="paramLabel">Parameters:</span></dt>
<dd><code>date</code> - departure time.</dd>
<dt><span class="throwsLabel">Throws:</span></dt>
<dd><code>java.lang.NullPointerException</code> - if date is null.</dd>
</dl>
</li>
</ul>
<a name="getDeparture--">
<!--   -->
</a>
<ul class="blockList">
<li class="blockList">
<h4>getDeparture</h4>
<pre>public java.util.Date getDeparture()</pre>
<div class="block">Gets the departure time for the given <a href="../../../../../com/here/android/mpa/routing/Route.html" title="class in com.here.android.mpa.routing"><code>Route</code></a>.</div>
<dl>
<dt><span class="returnLabel">Returns:</span></dt>
<dd>departure time of route if set previously, otherwise <code>null</code>.</dd>
</dl>
</li>
</ul>
<a name="setVehicleProfile-com.here.android.mpa.tce.TollCostVehicleProfile-">
<!--   -->
</a>
<ul class="blockList">
<li class="blockList">
<h4>setVehicleProfile</h4>
<pre>public void setVehicleProfile(<a href="../../../../../com/here/android/mpa/tce/TollCostVehicleProfile.html" title="class in com.here.android.mpa.tce">TollCostVehicleProfile</a> vehicleProfile)</pre>
<div class="block">Sets the <a href="../../../../../com/here/android/mpa/tce/TollCostVehicleProfile.html" title="class in com.here.android.mpa.tce"><code>TollCostVehicleProfile</code></a> parameters.</div>
<dl>
<dt><span class="paramLabel">Parameters:</span></dt>
<dd><code>vehicleProfile</code> - <a href="../../../../../com/here/android/mpa/tce/TollCostVehicleProfile.html" title="class in com.here.android.mpa.tce"><code>TollCostVehicleProfile</code></a> parameter.</dd>
</dl>
</li>
</ul>
<a name="getVehicleProfile--">
<!--   -->
</a>
<ul class="blockList">
<li class="blockList">
<h4>getVehicleProfile</h4>
<pre>public <a href="../../../../../com/here/android/mpa/tce/TollCostVehicleProfile.html" title="class in com.here.android.mpa.tce">TollCostVehicleProfile</a> getVehicleProfile()</pre>
<div class="block">Gets the copy of <a href="../../../../../com/here/android/mpa/tce/TollCostVehicleProfile.html" title="class in com.here.android.mpa.tce"><code>TollCostVehicleProfile</code></a>.</div>
<dl>
<dt><span class="returnLabel">Returns:</span></dt>
<dd>the parameter <a href="../../../../../com/here/android/mpa/tce/TollCostVehicleProfile.html" title="class in com.here.android.mpa.tce"><code>TollCostVehicleProfile</code></a>.</dd>
</dl>
</li>
</ul>
<a name="setCurrency-java.lang.String-">
<!--   -->
</a>
<ul class="blockList">
<li class="blockList">
<h4>setCurrency</h4>
<pre>public void setCurrency(java.lang.String currencyCode)</pre>
<div class="block">Sets the currency parameter in currency's ISO-4217 code. All of the costs are returned in the
 specified currency. Default value is <code>EUR</code>.
 <p>
 When the currency is found to be invalid, the related request raises an <a href="../../../../../com/here/android/mpa/tce/TollCostError.html" title="class in com.here.android.mpa.tce"><code>TollCostError</code></a>
 .
 </p></div>
<dl>
<dt><span class="paramLabel">Parameters:</span></dt>
<dd><code>currencyCode</code> - - currency's ISO-4217 code in string format.</dd>
<dt><span class="throwsLabel">Throws:</span></dt>
<dd><code>java.lang.IllegalArgumentException</code> - if format is null or not 3 character long.</dd>
</dl>
</li>
</ul>
<a name="getCurrency--">
<!--   -->
</a>
<ul class="blockList">
<li class="blockList">
<h4>getCurrency</h4>
<pre>public java.lang.String getCurrency()</pre>
<div class="block">Gets currency parameter in currency's ISO-4217 code. Default value is <code>EUR</code>.</div>
<dl>
<dt><span class="returnLabel">Returns:</span></dt>
<dd>currency parameter;</dd>
</dl>
</li>
</ul>
<a name="hashCode--">
<!--   -->
</a>
<ul class="blockList">
<li class="blockList">
<h4>hashCode</h4>
<pre>public int hashCode()</pre>
<dl>
<dt><span class="overrideSpecifyLabel">Overrides:</span></dt>
<dd><code>hashCode</code> in class <code>java.lang.Object</code></dd>
</dl>
</li>
</ul>
<a name="equals-java.lang.Object-">
<!--   -->
</a>
<ul class="blockListLast">
<li class="blockList">
<h4>equals</h4>
<pre>public boolean equals(java.lang.Object obj)</pre>
<dl>
<dt><span class="overrideSpecifyLabel">Overrides:</span></dt>
<dd><code>equals</code> in class <code>java.lang.Object</code></dd>
</dl>
</li>
</ul>
</li>
</ul>
</li>
</ul>
</div>
</div>
<!-- ========= END OF CLASS DATA ========= -->
<!-- ======= START OF BOTTOM NAVBAR ====== -->
<div class="bottomNav"><a name="navbar.bottom">
<!--   -->
</a>
<div class="skipNav"><a href="#skip.navbar.bottom" title="Skip navigation links">Skip navigation links</a></div>
<a name="navbar.bottom.firstrow">
<!--   -->
</a>
<ul class="navList" title="Navigation">
<li><a href="../../../../../overview-summary.html">Overview</a></li>
<li><a href="package-summary.html">Package</a></li>
<li class="navBarCell1Rev">Class</li>
<li><a href="class-use/TollCostOptions.html">Use</a></li>
<li><a href="package-tree.html">Tree</a></li>
<li><a href="../../../../../deprecated-list.html">Deprecated</a></li>
<li><a href="../../../../../index-files/index-1.html">Index</a></li>
<li><a href="../../../../../help-doc.html">Help</a></li>
</ul>
<div class="aboutLanguage">Copyright (c) 2011-2019 HERE Global B.V. All rights reserved.</div>
</div>
<div class="subNav">
<ul class="navList">
<li><a href="../../../../../com/here/android/mpa/tce/TollCostError.ErrorCode.html" title="enum in com.here.android.mpa.tce"><span class="typeNameLink">Prev Class</span></a></li>
<li><a href="../../../../../com/here/android/mpa/tce/TollCostRequest.html" title="class in com.here.android.mpa.tce"><span class="typeNameLink">Next Class</span></a></li>
</ul>
<ul class="navList">
<li><a href="../../../../../index.html?com/here/android/mpa/tce/TollCostOptions.html" target="_top">Frames</a></li>
<li><a href="TollCostOptions.html" target="_top">No Frames</a></li>
</ul>
<ul class="navList" id="allclasses_navbar_bottom">
<li><a href="../../../../../allclasses-noframe.html">All Classes</a></li>
</ul>
<div>
<script type="text/javascript"><!--
  allClassesLink = document.getElementById("allclasses_navbar_bottom");
  if(window==top) {
    allClassesLink.style.display = "block";
  }
  else {
    allClassesLink.style.display = "none";
  }
  //-->
</script>
</div>
<div>
<ul class="subNavList">
<li>Summary: </li>
<li>Nested | </li>
<li>Field | </li>
<li><a href="#constructor.summary">Constr</a> | </li>
<li><a href="#method.summary">Method</a></li>
</ul>
<ul class="subNavList">
<li>Detail: </li>
<li>Field | </li>
<li><a href="#constructor.detail">Constr</a> | </li>
<li><a href="#method.detail">Method</a></li>
</ul>
</div>
<a name="skip.navbar.bottom">
<!--   -->
</a></div>
<!-- ======== END OF BOTTOM NAVBAR ======= -->
</body>
</html>
